Subject: RE: bug#20723: 24.4; narrow-to-line

From: Drew Adams <[email-masked]>
Date: Wed, 6 Nov 2019 06:06:35 -0800 (PST)

> >> It would be handy to have M-x narrow-to-line to narrow the buffer to
> >> the line point is currently on.
> 
> I think the proposal to add these commands make sense, since there
> seems to exist a user demand.  Would anyone object to including the
> above commands in Emacs?
> 
> > The problem is what keys, if any, to bind them to by default.
> 
> I'd suggest that we bind narrow-to-line to 'C-x n l', and leave
> mark-line unbound by default for now.

I agree now with Ed Avis that we should _not_ bind
either command to a key by default.  Anyone who
uses them can bind them to keys.

These commands are not super-useful.  There is no
reason to sacrifice default keys to them.  It's
good to have such commands, but default keys
should be defined only when we know there's a lot
of clamor for them. ;-)